import request from '@/utils/request'

// 查询行业名称及规模信息列表
export function listScale(query) {
    return request({
        url: '/rmIndustryScale/findByPage',
        method: 'get',
        params: query
    })
}

// 查询行业名称及规模信息详细
export function getScale(id) {
    return request({
        url: '/rmIndustryScale/' + id,
        method: 'get'
    })
}

// 新增行业名称及规模信息
export function addScale(data) {
    return request({
        url: '/rmIndustryScale',
        method: 'post',
        data: data
    })
}

// 修改行业名称及规模信息
export function updateScale(data) {
    return request({
        url: '/rmIndustryScale',
        method: 'put',
        data: data
    })
}

// 删除行业名称及规模信息
export function delScale(id) {
    return request({
        url: '/rmIndustryScale/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delScaleBatch(ids) {
    console.log(ids);
    return request.post('/rmIndustryScale/delete',ids)
}